Skip to main content
GET
/
v2
/
issuer
/
cases
List all cases
curl --request GET \
  --url https://api.decisionly.com/v2/issuer/cases \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "case_id": "case_abc123",
      "claim_id": "claim_abc123",
      "created": "2025-02-01T00:00:00.000Z",
      "custom_fields": {},
      "issuer_evidence": {
        "amount_correction": {
          "amount": 2,
          "currency": "<string>"
        },
        "cancellation": {
          "date": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "id": "<string>",
          "policy_provided": true
        },
        "card": {
          "cardholder_has_possession": true,
          "is_active": true,
          "lost_date": "2023-11-07T05:31:56Z",
          "possession_at_transaction": "had_possession"
        },
        "cardholder_explanation": "<string>",
        "delivery": {
          "date": "2023-11-07T05:31:56Z",
          "expected_date": "2023-11-07T05:31:56Z"
        },
        "documentation": [
          "<string>"
        ],
        "fraud": {
          "submit_report": true,
          "was_reported": true
        },
        "issuer_explanation": "<string>",
        "merchant_contact": {
          "date": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "prohibited_reason": "<string>",
          "was_attempted": true,
          "was_successful": true
        },
        "prior_transaction": {
          "amount": 123,
          "arn": "48162855246353338636162",
          "card": {
            "expiry_month": 12,
            "expiry_year": 2028,
            "issuer_id": "b5te350d5135ab64a8t3c1097tadetd9ettb",
            "last4": "4242",
            "network": "visa",
            "type": "credit"
          },
          "currency": "<string>",
          "date": "2023-11-07T05:31:56Z",
          "issuer_id": "85cfda4d06b8440db3ec15af04061c98",
          "switch_serial_number": "242025095",
          "system": "single_message"
        },
        "product": {
          "condition": "<string>",
          "description": "<string>",
          "order_id": "<string>",
          "type": "merchandise"
        },
        "refund": {
          "description": "<string>",
          "policy_provided": true,
          "promise_date": "2023-11-07T05:31:56Z",
          "was_promised": true
        },
        "return": {
          "date": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "policy_provided": true,
          "shipping": {
            "carrier": "<string>",
            "tracking_number": "<string>"
          },
          "was_attempted": true,
          "was_successful": true
        },
        "service": {
          "end_date": "2023-11-07T05:31:56Z"
        }
      },
      "program_id": "550e8400-e29b-41d4-a716-446655440000",
      "reason": "fraud",
      "status": "created"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

Use your API key as the username. No password is required.

Query Parameters

limit
integer
starting_after
string
ending_before
string
status
string

Response

200 - application/json

A JSON array of cases.

data
object[]
has_more
boolean